org.apache.storm.container.cgroup

## Class SubSystem

- java.lang.Object
- - org.apache.storm.container.cgroup.SubSystem

-     public class SubSystem
      extends Object

  a class that implements operations that can be performed on a cgroup subsystem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubSystem(SubSystemType type, int hierarchyId, int cgroupNum, boolean enable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)`
    `int` | `getCgroupsNum()`
    `int` | `getHierarchyID()`
    `SubSystemType` | `getType()`
    `int` | `hashCode()`
    `boolean` | `isEnable()`
    `void` | `setCgroupsNum(int cgroupsNum)`
    `void` | `setEnable(boolean enable)`
    `void` | `setHierarchyID(int hierarchyID)`
    `void` | `setType(SubSystemType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubSystem

          public SubSystem(SubSystemType type,
                           int hierarchyId,
                           int cgroupNum,
                           boolean enable)

  - ### Method Detail

    - #### getType

          public SubSystemType getType()

    - #### setType

          public void setType(SubSystemType type)

    - #### getHierarchyID

          public int getHierarchyID()

    - #### setHierarchyID

          public void setHierarchyID(int hierarchyID)

    - #### getCgroupsNum

          public int getCgroupsNum()

    - #### setCgroupsNum

          public void setCgroupsNum(int cgroupsNum)

    - #### isEnable

          public boolean isEnable()

    - #### setEnable

          public void setEnable(boolean enable)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

Copyright © 2021 The Apache Software Foundation. All rights reserved.